/*
 * packetmodeller/message.h
 *
 * Copyright (C) 2008-2009 Reto Gantenbein
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License version 2 as
 * published by the Free Software Foundation.
 */

#include <stdio.h>
#include "message.h"

int
isNodeMessage(struct msg_header *header)
{
    return header->type == NODE_MSG;
}

int
isModelMessage(struct msg_header *header)
{
    return header->type == MODEL_MSG;
}

int
isRegisterMessage(struct msg_header *header)
{
    return header->type == REGISTER_MSG;
}

int
isAcknowledgeMessage(struct msg_header *header)
{
    return header->type == ACK_MSG;
}
